<template>
  <header id="header" v-sticky="sticky">
    <slot name="right">
      <i
        v-if="$route.name !== 'home'"
        class="ic-arrow-right icon-btn"
        @click="back"
      />
      <i
        v-else
        class="ic-bars icon-btn toggle-sidebar"
        @click="active = !active"
      />
    </slot>
    <div v-if="pageTitle" class="page-title text-primary">
      {{ pageTitle }}
    </div>
    <img
      v-else
      class="logo"
      src="../../assets/svg/logo-zireh.svg"
      :alt="$config.appName"
    />
    <slot name="left">
      <div v-if="$slots.options">
        <v-icon
          name="more-vertical"
          class="icon-btn"
          tabindex="1"
          @blur.native="showOptions = false"
          @click.native="showOptions = !showOptions"
        />
        <ul class="header-options" :class="{ open: showOptions }">
          <slot name="options" />
        </ul>
      </div>
      <i v-else class="icon-btn inline-block" style="width: 30px" />
    </slot>
  </header>
</template>

<script>
export default {
  name: 'AppHeader',
  props: {
    sticky: { type: Boolean, default: false }
  },
  syncStore: ['active:showSidebar'],
  data() {
    return {
      showOptions: false
    }
  },
  computed: {
    pageTitle() {
      if (this.$route.name === 'home') return ''
      return this.$route.meta ? this.$route.meta.pageTitle : ''
    }
  },
  methods: {
    back() {
      // this.$router.push({ name: 'home' })
      this.$router.back()
    }
  }
}
</script>
